
Redmine - Patch #29383

Update mini_mime gem (~> 1.0.1)

2018-08-14 11:09 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Description

mini_mime 1.0.1 was released

as discussed in #29359, now we can use lookup_by_extension directly

MiniMime.lookup_by_filename("x.#{ext}").try(:content_type)

MiniMime.lookup_by_extension(ext).try(:content_type)

Related issues:

Related to Redmine - Patch #29359: Switch to mini_mime from mime-types Closed

History

#1 - 2018-08-14 11:58 - Go MAEDA

Pavel Rosický wrote:

mini_mime 1.0.1 was released

as discussed in #29359, now we can use lookup_by_extension directly

[...][...]

 Great! I will reopen #29359 and attach a new patch.

#2 - 2018-08-15 02:09 - Go MAEDA

- Related to Patch #29359: Switch to mini_mime from mime-types added

#3 - 2018-08-15 02:10 - Go MAEDA

- Category set to Code cleanup/refactoring

#4 - 2018-08-15 16:05 - Go MAEDA

- Status changed from New to Closed

mini_mime has been updated to 1.0.1 in r17473.
